SystemOrganization addCategory: #'Seaside-Pharo-Email'!

!GRPharoPlatform methodsFor: '*seaside-pharo-email' stamp: 'dkh 11/23/2009 15:54'!
seasideDeliverEmailMessage: aWAEmailMessage

	SMTPClient
		deliverMailFrom: aWAEmailMessage from greaseString
		to: aWAEmailMessage recipients
		text: aWAEmailMessage plainMessage
		usingServer: self smtpServer
! !

WAErrorHandler subclass: #WAEmailErrorHandler
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Pharo-Email'!

!WAEmailErrorHandler commentStamp: 'pmm 9/14/2008 17:06' prior: 0!
A WAEmailErrorHandler is an error handler that sends out email messages with the stack strace. This is an abstract class that has to be subclassed. Subclasses must override #to and #from that return an instance of WAEmailAddress. It's also recommened to override #handleDefault: to generate a custom HTML response.
!

!WAEmailErrorHandler methodsFor: 'private' stamp: 'pmm 9/14/2008 14:45'!
bodyFor: anError
	^WAStringEmailBody string: (String streamContents: [ :stream |
		anError signalerContext errorReportOn: stream ])! !

!WAEmailErrorHandler methodsFor: 'private' stamp: 'pmm 9/14/2008 14:55'!
from
	"ansers the WAEmailAddress instance used as a sender addresst"
	self subclassResponsibility! !

!WAEmailErrorHandler methodsFor: 'actions' stamp: 'pmm 9/14/2008 16:57'!
handleError: anException
	self sendFailFor: anException.
	^super handleError: anException! !

!WAEmailErrorHandler methodsFor: 'private' stamp: 'pmm 9/14/2008 14:48'!
sendFailFor: anError
	| message |
	message := WAEmailMessage
		from: self from
		to: self to
		subject: (self subjectFor: anError).
	message body: (self bodyFor: anError).
	message send! !

!WAEmailErrorHandler methodsFor: 'private' stamp: 'pmm 9/14/2008 14:45'!
subjectFor: anError
	^anError signalerContext printString! !

!WAEmailErrorHandler methodsFor: 'private' stamp: 'pmm 9/14/2008 14:54'!
to
	"ansers the WAEmailAddress instance to which the error mail should be sent"
	self subclassResponsibility! !

!GRPackage class methodsFor: '*seaside-pharo-email' stamp: 'jf 8/31/2009 14:29'!
seasidePharoEmail
	^ self new
		name: 'Seaside-Pharo-Email';
		description: 'Pharo implementation classes for the package "Seaside-Email".';
		addDependency: 'Seaside-Email';
		addDependency: 'Seaside-Pharo-Core';
		yourself! !
